# IShParameterComponent Struct Reference
[COM Interfaces]

Inheritance diagram for IShParameterComponent:

List of all members.

## Public Member Functions
virtual int8 *MCCOMAPI | GetParamsBuffer ()=0
virtual int16 MCCOMAPI | GetResID ()=0
virtual int16 MCCOMAPI | GetViewID ()=0
virtual void MCCOMAPI | GetView (IMFPart **outPart)=0
virtual boolean MCCOMAPI | IsEqual (IShParameterComponent *extension)=0
virtual MCCOMErr MCCOMAPI | GetParameterPointer (IDType keyword, void **parameter)=0
virtual void MCCOMAPI | CloneComponent (IShParameterComponent **)=0
virtual void MCCOMAPI | CopyComponentData (IShParameterComponent *dest)=0
virtual boolean MCCOMAPI | IsExpanded () const =0
virtual void MCCOMAPI | SetExpanded (boolean isExpanded)=0
virtual boolean MCCOMAPI | IsSelected () const =0
virtual void MCCOMAPI | SetSelected (boolean isExpanded)=0
virtual IDType MCCOMAPI | GetMiniPartID () const =0
virtual boolean MCCOMAPI | IsCollapsible () const =0
virtual uint32 MCCOMAPI | GetStyle () const =0
virtual IShComponent *MCCOMAPI | GetThisComponent ()=0
| returns the IShComponent interface of IShParameterComponent
virtual uint32 MCCOMAPI | GetSubcomponentCount ()=0
| returns the number of subcomponents contained in this component
virtual IShParameterComponent *MCCOMAPI | GetSubcomponent ()=0
| returns the component's subcomponent, if any
virtual int16 MCCOMAPI | GetParamViewID (IDType keyword)=0
virtual MCCOMErr MCCOMAPI | SetDefaultParameters ()=0

## Detailed Description

Parameter component. Holds parameters, and can provide an interface for display/control.

## Member Function Documentation

virtual void MCCOMAPI IShParameterComponent::CloneComponent | ( | IShParameterComponent ** |  | ) | `[pure virtual]`

virtual void MCCOMAPI IShParameterComponent::CopyComponentData | ( | IShParameterComponent * | dest | ) | `[pure virtual]`

virtual IDType MCCOMAPI IShParameterComponent::GetMiniPartID | ( |  | ) | const`[pure virtual]`

virtual MCCOMErr MCCOMAPI IShParameterComponent::GetParameterPointer | ( | IDType | keyword,
|  | void ** | parameter |
| ) |  |  | `[pure virtual]`

virtual int8* MCCOMAPI IShParameterComponent::GetParamsBuffer | ( |  | ) | `[pure virtual]`

virtual int16 MCCOMAPI IShParameterComponent::GetParamViewID | ( | IDType | keyword | ) | `[pure virtual]`

returns the resource id of the view of the parameter with the id "keyword" or -1 if no view for this parameter

virtual int16 MCCOMAPI IShParameterComponent::GetResID | ( |  | ) | `[pure virtual]`

virtual uint32 MCCOMAPI IShParameterComponent::GetStyle | ( |  | ) | const`[pure virtual]`

virtual IShParameterComponent* MCCOMAPI IShParameterComponent::GetSubcomponent | ( |  | ) | `[pure virtual]`

returns the component's subcomponent, if any

virtual uint32 MCCOMAPI IShParameterComponent::GetSubcomponentCount | ( |  | ) | `[pure virtual]`

returns the number of subcomponents contained in this component

virtual IShComponent* MCCOMAPI IShParameterComponent::GetThisComponent | ( |  | ) | `[pure virtual]`

returns the IShComponent interface of IShParameterComponent

virtual void MCCOMAPI IShParameterComponent::GetView | ( | IMFPart ** | outPart | ) | `[pure virtual]`

virtual int16 MCCOMAPI IShParameterComponent::GetViewID | ( |  | ) | `[pure virtual]`

virtual boolean MCCOMAPI IShParameterComponent::IsCollapsible | ( |  | ) | const`[pure virtual]`

virtual boolean MCCOMAPI IShParameterComponent::IsEqual | ( | IShParameterComponent * | extension | ) | `[pure virtual]`

virtual boolean MCCOMAPI IShParameterComponent::IsExpanded | ( |  | ) | const`[pure virtual]`

virtual boolean MCCOMAPI IShParameterComponent::IsSelected | ( |  | ) | const`[pure virtual]`

virtual MCCOMErr MCCOMAPI IShParameterComponent::SetDefaultParameters | ( |  | ) | `[pure virtual]`

this is called when a new component is created, to set its parameters to a default value

virtual void MCCOMAPI IShParameterComponent::SetExpanded | ( | boolean | isExpanded | ) | `[pure virtual]`

virtual void MCCOMAPI IShParameterComponent::SetSelected | ( | boolean | isExpanded | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- IShComponent.h